Subject: Re: linux-next: build failure after merge of the xen-two tree

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Thu, 10 Feb 2011 10:22:43 -0500

On Thu, Feb 10, 2011 at 01:24:58PM +0100, Thomas Gleixner wrote:
> On Thu, 10 Feb 2011, Stephen Rothwell wrote:
> 
> > Hi Konrad,
> > 
> > After merging the xen-two tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/gpio/langwell_gpio.c: In function 'lnw_irq_handler':
> > drivers/gpio/langwell_gpio.c:210: error: 'struct irq_desc' has no member named 'chip'
> > drivers/gpio/langwell_gpio.c:211: error: 'struct irq_desc' has no member named 'chip'
> > 
> > Caused by commit e22ff7614860bc282ba1eb25440d8fc56975e357 ("xen:
> > Interrupt cleanups").
> 
> Argh, it selects:
> 
> +       select GENERIC_HARDIRQS_NO_DEPRECATED
> 
> Konrad, I merily asked you to test XEN with that flag set, not to
> apply the change.

Whoops. Looks that I forgot to back out the change after I tested it. It is gone now.